%define upstream nicolas33
%define changeset 3b09695

Name:		offlineimap
Version:	6.5.4
Release:	%mkrel 9
Summary:	Powerful IMAP/Maildir synchronization and reader support
License:	GPLv2
Group:		Networking/Mail
Url:		http://offlineimap.org/
Source:		https://github.com/downloads/spaetz/%{name}/%{name}-v%{version}.tar.gz
BuildArch:	noarch
Buildrequires:	python-devel >= %{pyver}
Requires:	python(abi) >= %{pyver}

%description
OfflineIMAP is a tool to simplify your e-mail  reading.  With
OfflineIMAP, you can read the same mailbox from multiple computers.
You get a current copy of your messages on each computer, and changes
you make one place will be visible on all other systems. For instance,
you can delete a message on your home computer, and it will appear
deleted on your work computer as well. OfflineIMAP is also useful if
you want to use a mail reader that does not have IMAP support, has poor
IMAP support, or does not provide disconnected operation.

%prep
%setup -q -n spaetz-offlineimap-c9e9690

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}

%files
%doc COPY* docs/ README
%doc %{name}.conf*
%{_bindir}/%{name}
%{py_puresitedir}/%{name}
%{py_puresitedir}/*.egg-info


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 6.5.4-9.mga6
+ Revision: 930414
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.5.4-8.mga5
+ Revision: 749173
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 6.5.4-7.mga5
+ Revision: 727485
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 6.5.4-6.mga5
+ Revision: 683162
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 6.5.4-4.mga4
+ Revision: 542801
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 6.5.4-3.mga4
+ Revision: 497964
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 6.5.4-2.mga3
+ Revision: 361791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 shlomif <shlomif> 6.5.4-1.mga3
+ Revision: 257603
- New version - 6.5.4

* Mon May 09 2011 shikamaru <shikamaru> 6.3.3-6.mga1
+ Revision: 96601
- new version 6.3.3

* Sun Feb 27 2011 shikamaru <shikamaru> 6.2.0-6.mga1
+ Revision: 61131
- imported package offlineimap


* Sun Feb 27 2011 Rémy Clouard <shikamaru@mandriva.org> 6.2.0-6.mga1
- sanitize spec
- fix license
- fix url
- fix source0
- fix requires

* Mon Nov 08 2010 Jérôme Quelin <jquelin@mandriva.org> 6.2.0-5mdv2011.0
+ Revision: 595108
- rebuild for new python

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 6.2.0-4mdv2011.0
+ Revision: 590159
- rebuild for python 2.7

* Thu Aug 13 2009 Frederik Himpe <fhimpe@mandriva.org> 6.2.0-3mdv2010.0
+ Revision: 416206
- Update to new version 6.2.0

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 4.0.15-3mdv2009.1
+ Revision: 325774
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.0.15-2mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 12 2006 Michael Scherer <misc@mandriva.org> 4.0.15-2mdv2007.0
+ Revision: 95749
- rebuild for new python
- update to 4.0.15
- use %%mkrel and python macros
- Import offlineimap

